For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet files
      • POSTUpload a file
      • GETGet a file by ID
      • DELDelete a file
LogoLogo
API StatusPartner Portal
UtilitiesFiles

Upload a file

POST
/files
POST
/v1/files
$curl -X POST https://api.sandbox.monite.com/v1/files \
> -H "x-monite-version: 2023-09-01" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@<file1> \
> -F file_type="ocr_results"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "file_type": "file_type",
6 "md5": "md5",
7 "mimetype": "mimetype",
8 "name": "name",
9 "region": "region",
10 "s3_bucket": "s3_bucket",
11 "s3_file_path": "s3_file_path",
12 "size": 1,
13 "url": "url"
14}
Was this page helpful?
Previous

Get a file by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Request

This endpoint expects a multipart form containing a file.
filefileRequired
file_typeenumRequired

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
updated_atdatetime
file_typestring
md5string
mimetypestring
namestring
regionstring
s3_bucketstring
s3_file_pathstring
sizeinteger
urlstring

Errors

422
Post Files Request Unprocessable Entity Error
500
Post Files Request Internal Server Error